About
-----

DLCImagePickerController is a fast, beautiful and fun way to filter and capture your photos with OpenGL and your iPhone.
The majority of the praise should be directed towards BradLarson for his [GPUImage](https://github.com/BradLarson/GPUImage) library.

To see the camera in action [download Backspaces](http://backspac.es/download).

Setup
------

When you clone the repo, you'll need to download GPUImage assets:

```
git submodule init
git submodule update
```

Features
---------

### Live Filters
Here are some examples of the filters that are included. These are being applied to the live camera stream.

![Filters](http://i.imgur.com/rJx1l.png)

or check out on outdoor shoot with the old UI [here](http://i.imgur.com/bHNAN.png)

### Radial Blur

It also has a radial blur, that you can move and pinch to your liking on the live view or captured image

![Radial blur on and off](http://i.imgur.com/RhCcV.png)

### Front Facing Camera

There is a front facing camera

![Front facing camera](http://i.imgur.com/CqOra.png)

### Apply filters/blur after capture or retake photo

After you capture the image, you can apply new filters and toggle/move/resize the blur as you please or decide to retake it

![Filters](http://i.imgur.com/TtMMm.png)

### Use an image from your camera roll

Import a picture from your camera roll and apply a filter/blur to it

![Loaded from camera roll](http://i.imgur.com/6f2fQ.png)

Example output
---------------

These images were produced using the sample program included in this repo

[Soft filter in nice daylight](http://i.imgur.com/0OncO.jpg)

[High contrast black and white with radial blur](http://i.imgur.com/6B4iz.jpg)

Contact
--------
**Dmitri Cherniak**

+ http://twitter.com/dmitric
+ http://github.com/dmitric

**Wylie Conlon**

+ http://twitter.com/wylieconlon
+ http://github.com/wylieconlon


